# Class Normix

java.lang.Object
org.jmol.util.Normix

public class Normix extends Object
Provides quantization of normalized vectors so that shading for lighting calculations can be handled by a simple index lookup

A 'normix' is a normal index, represented as a short

Author:
  Miguel, miguel@jmol.org

## Field Summary

Fields
Modifier and Type
Field
Description
`static final short`
`NORMIX_NULL`

## Constructor Summary

Constructors
Constructor
Description
`Normix()`

## Method Summary

Modifier and Type
Method
Description
`static short`
`get2SidedNormix(V3 v, BS bsTemp)`
`static short`
`getInverseNormix(short normix)`
`static short`
`getNormixCount()`
`static short`
`getNormixV(V3 v, BS bsTemp)`
`static V3[]`
`getVertexVectors()`
`static BS`
`newVertexBitSet()`
`static void`
`setInverseNormixes()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NORMIX_NULL

public static final short NORMIX_NULL

See Also:
  - Constant Field Values

## Constructor Details

### Normix

public Normix()

## Method Details

### getNormixCount

public static short getNormixCount()

### newVertexBitSet

public static BS newVertexBitSet()

### getVertexVectors

public static V3[] getVertexVectors()

### setInverseNormixes

public static void setInverseNormixes()

### getInverseNormix

public static short getInverseNormix(short normix)

### getNormixV

public static short getNormixV(V3 v, BS bsTemp)

### get2SidedNormix

public static short get2SidedNormix(V3 v, BS bsTemp)